aboutsummaryrefslogtreecommitdiff
path: root/databases
diff options
context:
space:
mode:
authorMathieu Arnold <mat@FreeBSD.org>2019-08-13 16:01:59 +0000
committerMathieu Arnold <mat@FreeBSD.org>2019-08-13 16:01:59 +0000
commit78d1aff1fc53a63e9c59c078ff2258a5dd29c9dd (patch)
tree557e38686944a0a47350c0dc68f952bec42e13d6 /databases
parenta6c40a689b8a327b1ecf5778f120f0d7250ea7a8 (diff)
downloadports-78d1aff1fc53a63e9c59c078ff2258a5dd29c9dd.tar.gz
ports-78d1aff1fc53a63e9c59c078ff2258a5dd29c9dd.zip
Convert to UCL & cleanup pkg-message (categories d)
Notes
Notes: svn path=/head/; revision=508835
Diffstat (limited to 'databases')
-rw-r--r--databases/adminer/files/pkg-message.in6
-rw-r--r--databases/adodb/files/pkg-message.in8
-rw-r--r--databases/adodb5/files/pkg-message.in6
-rw-r--r--databases/akonadi/pkg-message10
-rw-r--r--databases/arangodb33/pkg-message8
-rw-r--r--databases/ateam_mysql_ldap_auth/files/pkg-message.in8
-rw-r--r--databases/bbdb/pkg-message8
-rw-r--r--databases/cassandra3/pkg-message8
-rw-r--r--databases/couchdb/files/pkg-message.in6
-rw-r--r--databases/couchdb2/files/pkg-message.in8
-rw-r--r--databases/firebird25-server/files/pkg-message.in10
-rw-r--r--databases/freetds-devel/files/pkg-message.in6
-rw-r--r--databases/frontbase-jdbc/files/pkg-message.in8
-rw-r--r--databases/galera/pkg-message10
-rw-r--r--databases/geoserver-mysql-plugin/files/pkg-message.in11
-rw-r--r--databases/gnats4/pkg-message10
-rw-r--r--databases/grass7/pkg-message6
-rw-r--r--databases/hbase/files/pkg-message.in12
-rw-r--r--databases/iplike/files/pkg-message.in16
-rw-r--r--databases/isql-viewer/pkg-message8
-rw-r--r--databases/mariadb101-client/files/pkg-message.in10
-rw-r--r--databases/mariadb101-server/files/pkg-message.in10
-rw-r--r--databases/mariadb102-client/files/pkg-message.in10
-rw-r--r--databases/mariadb102-server/files/pkg-message.in29
-rw-r--r--databases/mariadb103-client/files/pkg-message.in10
-rw-r--r--databases/mariadb103-server/files/pkg-message.in21
-rw-r--r--databases/mariadb104-client/files/pkg-message.in10
-rw-r--r--databases/mariadb104-server/files/pkg-message.in21
-rw-r--r--databases/mariadb55-client/files/pkg-message.in10
-rw-r--r--databases/mariadb55-server/files/pkg-message.in21
-rw-r--r--databases/mroonga/files/pkg-message.in14
-rw-r--r--databases/mysql-udf/pkg-message6
-rw-r--r--databases/mysql55-client/pkg-message10
-rw-r--r--databases/mysql55-server/pkg-message10
-rw-r--r--databases/mysql56-client/pkg-message10
-rw-r--r--databases/mysql56-server/pkg-message23
-rw-r--r--databases/mysql57-client/pkg-message10
-rw-r--r--databases/mysql57-server/pkg-message19
-rw-r--r--databases/mysql80-client/pkg-message10
-rw-r--r--databases/mysql80-server/pkg-message19
-rw-r--r--databases/mysqlwsrep56-server/pkg-message10
-rw-r--r--databases/mysqlwsrep57-server/pkg-message10
-rw-r--r--databases/percona-pam-for-mysql/pkg-message6
-rw-r--r--databases/percona55-client/pkg-message11
-rw-r--r--databases/percona55-server/pkg-message10
-rw-r--r--databases/percona56-client/pkg-message11
-rw-r--r--databases/percona56-server/pkg-message10
-rw-r--r--databases/percona57-pam-for-mysql/pkg-message6
-rw-r--r--databases/percona57-server/pkg-message19
-rw-r--r--databases/pg_qualstats/pkg-message6
-rw-r--r--databases/pg_stat_kcache/pkg-message6
-rw-r--r--databases/pgbouncer/files/pkg-message.in9
-rw-r--r--databases/pgpool-II-35/pkg-message6
-rw-r--r--databases/pgpool-II-36/pkg-message6
-rw-r--r--databases/pgpool-II-37/pkg-message6
-rw-r--r--databases/pgpool-II-40/pkg-message6
-rw-r--r--databases/pgpool/pkg-message6
-rw-r--r--databases/pgroonga/files/pkg-message.in27
-rw-r--r--databases/pguri/pkg-message6
-rw-r--r--databases/phpliteadmin/files/pkg-message.in7
-rw-r--r--databases/phpmyadmin/files/pkg-message.in7
-rw-r--r--databases/postgresql-cstore_fdw/files/pkg-message.in11
-rw-r--r--databases/postgresql-jdbc/files/pkg-message.in6
-rw-r--r--databases/postgresql-plv8js/pkg-message6
-rw-r--r--databases/postgresql-relay/pkg-message6
-rw-r--r--databases/postgresql10-server/files/pkg-message-client.in6
-rw-r--r--databases/postgresql10-server/files/pkg-message-contrib.in6
-rw-r--r--databases/postgresql10-server/files/pkg-message-plperl.in6
-rw-r--r--databases/postgresql10-server/files/pkg-message-plpython.in6
-rw-r--r--databases/postgresql10-server/files/pkg-message-pltcl.in6
-rw-r--r--databases/postgresql10-server/files/pkg-message-server.in7
-rw-r--r--databases/postgresql11-server/files/pkg-message-client.in6
-rw-r--r--databases/postgresql11-server/files/pkg-message-contrib.in6
-rw-r--r--databases/postgresql11-server/files/pkg-message-plperl.in6
-rw-r--r--databases/postgresql11-server/files/pkg-message-plpython.in6
-rw-r--r--databases/postgresql11-server/files/pkg-message-pltcl.in6
-rw-r--r--databases/postgresql11-server/files/pkg-message-server.in7
-rw-r--r--databases/postgresql12-server/files/pkg-message-client.in6
-rw-r--r--databases/postgresql12-server/files/pkg-message-contrib.in6
-rw-r--r--databases/postgresql12-server/files/pkg-message-plperl.in6
-rw-r--r--databases/postgresql12-server/files/pkg-message-plpython.in6
-rw-r--r--databases/postgresql12-server/files/pkg-message-pltcl.in6
-rw-r--r--databases/postgresql12-server/files/pkg-message-server.in7
-rw-r--r--databases/postgresql94-server/files/pkg-message-client.in6
-rw-r--r--databases/postgresql94-server/files/pkg-message-contrib.in6
-rw-r--r--databases/postgresql94-server/files/pkg-message-plperl.in6
-rw-r--r--databases/postgresql94-server/files/pkg-message-plpython.in6
-rw-r--r--databases/postgresql94-server/files/pkg-message-pltcl.in6
-rw-r--r--databases/postgresql94-server/files/pkg-message-server.in7
-rw-r--r--databases/postgresql95-server/files/pkg-message-client.in6
-rw-r--r--databases/postgresql95-server/files/pkg-message-contrib.in6
-rw-r--r--databases/postgresql95-server/files/pkg-message-plperl.in6
-rw-r--r--databases/postgresql95-server/files/pkg-message-plpython.in6
-rw-r--r--databases/postgresql95-server/files/pkg-message-pltcl.in6
-rw-r--r--databases/postgresql95-server/files/pkg-message-server.in7
-rw-r--r--databases/postgresql96-server/files/pkg-message-client.in6
-rw-r--r--databases/postgresql96-server/files/pkg-message-contrib.in6
-rw-r--r--databases/postgresql96-server/files/pkg-message-plperl.in6
-rw-r--r--databases/postgresql96-server/files/pkg-message-plpython.in6
-rw-r--r--databases/postgresql96-server/files/pkg-message-pltcl.in6
-rw-r--r--databases/postgresql96-server/files/pkg-message-server.in7
-rw-r--r--databases/powa-archivist/pkg-message6
-rw-r--r--databases/puppetdb5/files/pkg-message.in6
-rw-r--r--databases/puppetdb6/files/pkg-message.in6
-rw-r--r--databases/py-htsql/pkg-message16
-rw-r--r--databases/qt5-sql/pkg-message10
-rw-r--r--databases/redis-devel/files/pkg-message.in9
-rw-r--r--databases/redis/files/pkg-message.in9
-rw-r--r--databases/slony1v2/files/pkg-message.in19
-rw-r--r--databases/soci/files/pkg-message.in6
-rw-r--r--databases/sqldeveloper/pkg-message9
-rw-r--r--databases/sqlite-ext-miscfuncs/pkg-message8
-rw-r--r--databases/sqlite-ext-pcre/pkg-message8
-rw-r--r--databases/sqlite-ext-regexp/pkg-message8
-rw-r--r--databases/sqlite-ext-spellfix/pkg-message8
-rw-r--r--databases/squirrel-sql/pkg-message6
-rw-r--r--databases/tarantool/files/pkg-message.in10
-rw-r--r--databases/timescaledb/files/pkg-message.in6
-rw-r--r--databases/unixODBC/files/pkg-message.in10
-rw-r--r--databases/virtuoso/files/pkg-message.in6
-rw-r--r--databases/wfb2sql/pkg-message9
-rw-r--r--databases/zabbix22-libzbxpgsql/pkg-message6
-rw-r--r--databases/zabbix3-libzbxpgsql/pkg-message6
123 files changed, 822 insertions, 263 deletions
diff --git a/databases/adminer/files/pkg-message.in b/databases/adminer/files/pkg-message.in
index 54edb9e7811a..64a90680749d 100644
--- a/databases/adminer/files/pkg-message.in
+++ b/databases/adminer/files/pkg-message.in
@@ -1,2 +1,8 @@
+[
+{ type: install
+ message: <<EOM
You should install the database extension(s) what you want to use:
php%%PHPVER%%-mysqli, php%%PHPVER%%-mssql, php%%PHPVER%%-odbc, php%%PHPVER%%-pgsql or php%%PHPVER%%-pdo_sqlite.
+EOM
+}
+]
diff --git a/databases/adodb/files/pkg-message.in b/databases/adodb/files/pkg-message.in
index 53ffdc1bdb2a..8d80ec626abd 100644
--- a/databases/adodb/files/pkg-message.in
+++ b/databases/adodb/files/pkg-message.in
@@ -1,4 +1,8 @@
-
+[
+{ type: install
+ message: <<EOM
You can add the ADOdb path (%%DATADIR%%)
to the "include_path=" directive in your php.ini
-
+EOM
+}
+]
diff --git a/databases/adodb5/files/pkg-message.in b/databases/adodb5/files/pkg-message.in
index 4ebad4cb7ed8..8cfd63cf0da3 100644
--- a/databases/adodb5/files/pkg-message.in
+++ b/databases/adodb5/files/pkg-message.in
@@ -1,4 +1,10 @@
+[
+{ type: install
+ message: <<EOM
This version supports only PHP version 5 and higher.
You can add the ADOdb path (%%DATADIR%%)
into the "include_path=" directive in your php.ini
+EOM
+}
+]
diff --git a/databases/akonadi/pkg-message b/databases/akonadi/pkg-message
index d95f817ff711..ba8994187d06 100644
--- a/databases/akonadi/pkg-message
+++ b/databases/akonadi/pkg-message
@@ -1,5 +1,6 @@
-===============================================================================
-
+[
+{ type: install
+ message: <<EOM
KDE Applications versions of Akonadi, KMail, and Kontact use large
messages on the local machine. The default size on FreeBSD is too
small, which causes local connection problems, and Akonadi-based
@@ -8,5 +9,6 @@ cannot be found). Increasing the buffer size is recommended:
sysctl net.local.stream.recvspace=65536
sysctl net.local.stream.sendspace=65536
-
-===============================================================================
+EOM
+}
+]
diff --git a/databases/arangodb33/pkg-message b/databases/arangodb33/pkg-message
index 42677f5015e5..0c88d9af080f 100644
--- a/databases/arangodb33/pkg-message
+++ b/databases/arangodb33/pkg-message
@@ -1,4 +1,6 @@
-======================================================================
+[
+{ type: install
+ message: <<EOM
You installed ArangoDB: a distributed NoSQL database.
To enable the service at startup, you should execute the command:
@@ -20,4 +22,6 @@ data.
ArangoDB uses the AQL language to query and modify data, as opposed to
the SQL language used by relational databases.
-======================================================================
+EOM
+}
+]
diff --git a/databases/ateam_mysql_ldap_auth/files/pkg-message.in b/databases/ateam_mysql_ldap_auth/files/pkg-message.in
index fd841b038634..85ba9c30cac8 100644
--- a/databases/ateam_mysql_ldap_auth/files/pkg-message.in
+++ b/databases/ateam_mysql_ldap_auth/files/pkg-message.in
@@ -1,4 +1,8 @@
----------------------------------------------------------------------
+[
+{ type: install
+ message: <<EOM
Please see %%DOCSDIR%%/INSTALL
for install notes.
----------------------------------------------------------------------
+EOM
+}
+]
diff --git a/databases/bbdb/pkg-message b/databases/bbdb/pkg-message
index 2103b5af6d86..85cf3d7686ff 100644
--- a/databases/bbdb/pkg-message
+++ b/databases/bbdb/pkg-message
@@ -1,4 +1,6 @@
-########################################################################
+[
+{ type: install
+ message: <<EOM
Add this line to your Emacs initialization.
(require 'bbdb-loaddefs)
@@ -11,4 +13,6 @@ use, you may also want to add something similar to these lines.
Refer to Emacs' help for these two functions, bbdb-initialize and
bbdb-mua-auto-update-init, for details.
-########################################################################
+EOM
+}
+]
diff --git a/databases/cassandra3/pkg-message b/databases/cassandra3/pkg-message
index d5fb558f12bb..37224b063199 100644
--- a/databases/cassandra3/pkg-message
+++ b/databases/cassandra3/pkg-message
@@ -1,8 +1,12 @@
-======================================================================
+[
+{ type: install
+ message: <<EOM
Entries for this machine's hostname may need to be set in /etc/hosts
if you get a "Local host name unknown" exception on startup
(see https://issues.apache.org/jira/browse/CASSANDRA-2380):
::1 localhost localhost.your.domain your-host-name
127.0.0.1 localhost localhost.your.domain your-host-name
-======================================================================
+EOM
+}
+]
diff --git a/databases/couchdb/files/pkg-message.in b/databases/couchdb/files/pkg-message.in
index ae67d78d3778..9eda85a03a7c 100644
--- a/databases/couchdb/files/pkg-message.in
+++ b/databases/couchdb/files/pkg-message.in
@@ -1,4 +1,10 @@
+[
+{ type: install
+ message: <<EOM
ADMIN ACCOUNT
By default no admin password or account is configured which leaves the DB
server open. Add accounts to the bottom of %%PREFIX%%/etc/couchdb/local.ini
to secure your installation (by default CouchDB listens on localhost only).
+EOM
+}
+]
diff --git a/databases/couchdb2/files/pkg-message.in b/databases/couchdb2/files/pkg-message.in
index d6eb9a7ae846..910baa937bbb 100644
--- a/databases/couchdb2/files/pkg-message.in
+++ b/databases/couchdb2/files/pkg-message.in
@@ -1,4 +1,6 @@
-***********************************************************
+[
+{ type: install
+ message: <<EOM
If this is the first time you are installing %%PORTNAME%%, you will need
to add a default administrator, and initialise the database node.
@@ -30,4 +32,6 @@ Then use the admin interface at http://127.0.0.1:5984/_utils/# as usual.
For more information see
http://docs.couchdb.org/en/latest/install/setup.html
-***********************************************************
+EOM
+}
+]
diff --git a/databases/firebird25-server/files/pkg-message.in b/databases/firebird25-server/files/pkg-message.in
index df2a8148d658..bcd4ee49e315 100644
--- a/databases/firebird25-server/files/pkg-message.in
+++ b/databases/firebird25-server/files/pkg-message.in
@@ -1,5 +1,6 @@
-###############################################################################
-
+[
+{ type: install
+ message: <<EOM
Firebird was installed.
1) Support for Super Server has been added
@@ -47,5 +48,6 @@ before doing anything serious with Firebird.
%%PREFIX%%/bin/gsplit -> %%PREFIX%%/bin/fbsplit
9) Enjoy it ;)
-
-################################################################################
+EOM
+}
+]
diff --git a/databases/freetds-devel/files/pkg-message.in b/databases/freetds-devel/files/pkg-message.in
index db88a3bd25cc..22f86baf7a67 100644
--- a/databases/freetds-devel/files/pkg-message.in
+++ b/databases/freetds-devel/files/pkg-message.in
@@ -1,2 +1,8 @@
+[
+{ type: install
+ message: <<EOM
Sample configuration files have been installed in %%PREFIX%%/etc.
You should edit them and remove the .dist-suffix from their names.
+EOM
+}
+]
diff --git a/databases/frontbase-jdbc/files/pkg-message.in b/databases/frontbase-jdbc/files/pkg-message.in
index 0b41043f102c..a24d14d9071c 100644
--- a/databases/frontbase-jdbc/files/pkg-message.in
+++ b/databases/frontbase-jdbc/files/pkg-message.in
@@ -1,7 +1,11 @@
-
+[
+{ type: install
+ message: <<EOM
FrontBase JDBC support installed!
frontbasejdbc.jar resides in
%%JAVAJARDIR%%/frontbasejdbc.jar
Add this to your CLASSPATH!
-
+EOM
+}
+]
diff --git a/databases/galera/pkg-message b/databases/galera/pkg-message
index 35f9b6bdbe26..ee97d9728fc1 100644
--- a/databases/galera/pkg-message
+++ b/databases/galera/pkg-message
@@ -1,6 +1,8 @@
-======================================================================
-
+[
+{ type: install
+ message: <<EOM
Find the Galera Cluster documentation at
http://galeracluster.com/documentation-webpages/
-
-======================================================================
+EOM
+}
+]
diff --git a/databases/geoserver-mysql-plugin/files/pkg-message.in b/databases/geoserver-mysql-plugin/files/pkg-message.in
index 1aaf5d30f86d..a27deb946b56 100644
--- a/databases/geoserver-mysql-plugin/files/pkg-message.in
+++ b/databases/geoserver-mysql-plugin/files/pkg-message.in
@@ -1,9 +1,10 @@
-
-===============================================================================
-
+[
+{ type: install
+ message: <<EOM
A MySQL DataStore implementation was installed, please restart GeoServer.
MySQL should now show up as an option in the GeoServer web admin tool at
Config -> Data -> DataStores -> New. Fill out the appropriate params.
-
-===============================================================================
+EOM
+}
+]
diff --git a/databases/gnats4/pkg-message b/databases/gnats4/pkg-message
index 9f809091308c..9bbfcee283f1 100644
--- a/databases/gnats4/pkg-message
+++ b/databases/gnats4/pkg-message
@@ -1,5 +1,6 @@
-************************************************************
-
+[
+{ type: install
+ message: <<EOM
GNATS has been successfully installed.
If you want to run the GNATS server, enter
@@ -20,5 +21,6 @@ Try `man gnats', `info gnats' and the online manual at
http://www.gnu.org/software/gnats/gnats_toc.html
for more information.
-
-************************************************************
+EOM
+}
+]
diff --git a/databases/grass7/pkg-message b/databases/grass7/pkg-message
index 32f05244ab9d..649ab0d86992 100644
--- a/databases/grass7/pkg-message
+++ b/databases/grass7/pkg-message
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
To run the wxpython based GUI:
export GRASS_PYTHON=python2.7 (or your local python version)
@@ -14,3 +17,6 @@ to %%LOCALBASE%%/etc/libmap.d/gcc.conf. Use your local gcc version
instead of gcc6.
This is required for some modules using fortran.
+EOM
+}
+]
diff --git a/databases/hbase/files/pkg-message.in b/databases/hbase/files/pkg-message.in
index 42a4e12cfe12..2c9f8d38f1d0 100644
--- a/databases/hbase/files/pkg-message.in
+++ b/databases/hbase/files/pkg-message.in
@@ -1,4 +1,8 @@
-********************************************************************************
-* HBase binaries are installed in %%PREFIX%%/hbase/bin/ *
-* Consider adding this directory to your $PATH. *
-********************************************************************************
+[
+{ type: install
+ message: <<EOM
+HBase binaries are installed in %%PREFIX%%/hbase/bin/
+Consider adding this directory to your $PATH.
+EOM
+}
+]
diff --git a/databases/iplike/files/pkg-message.in b/databases/iplike/files/pkg-message.in
index d1fd47751ea6..57e9797b84d4 100644
--- a/databases/iplike/files/pkg-message.in
+++ b/databases/iplike/files/pkg-message.in
@@ -1,5 +1,11 @@
-| Don't forget to run %%PREFIX%%/sbin/install_iplike.sh to make the relevant
-| changes to your OpenNMS database.
-| To confirm the changes have been made run:
-| psql -U opennms -h localhost -c '\df+ iplike' | head
-| Check the Language column, It should say "c" and not "plpgsql"
+[
+{ type: install
+ message: <<EOM
+Don't forget to run %%PREFIX%%/sbin/install_iplike.sh to make the relevant
+changes to your OpenNMS database.
+To confirm the changes have been made run:
+psql -U opennms -h localhost -c '\df+ iplike' | head
+Check the Language column, It should say "c" and not "plpgsql"
+EOM
+}
+]
diff --git a/databases/isql-viewer/pkg-message b/databases/isql-viewer/pkg-message
index 8c6ec2e08f9e..99bcbf41246b 100644
--- a/databases/isql-viewer/pkg-message
+++ b/databases/isql-viewer/pkg-message
@@ -1,4 +1,6 @@
-=============================================================================
+[
+{ type: install
+ message: <<EOM
This port of iSQL-Viewer is configured to automatically detect and use
the installed JDBC drivers for MySQL and PostgreSQL.
@@ -8,4 +10,6 @@ service basis in the tabbed dialog "Resources" which resides inside the
However, please note that adding JAR files or directories in the preferences
dialog doesn't have the desired effect in this version.
-=============================================================================
+EOM
+}
+]
diff --git a/databases/mariadb101-client/files/pkg-message.in b/databases/mariadb101-client/files/pkg-message.in
index 8bea32f83491..00ac47038607 100644
--- a/databases/mariadb101-client/files/pkg-message.in
+++ b/databases/mariadb101-client/files/pkg-message.in
@@ -1,7 +1,9 @@
-************************************************************************
-
+[
+{ type: install
+ message: <<EOM
MariaDB respects hier(7) and doesn't check /etc and /etc/mysql for
my.cnf. Please move existing my.cnf files from those paths to
%%PREFIX%%/etc and %%PREFIX%%/etc/mysql.
-
-************************************************************************
+EOM
+}
+]
diff --git a/databases/mariadb101-server/files/pkg-message.in b/databases/mariadb101-server/files/pkg-message.in
index b49d42074149..b9f6fea20baf 100644
--- a/databases/mariadb101-server/files/pkg-message.in
+++ b/databases/mariadb101-server/files/pkg-message.in
@@ -1,5 +1,6 @@
-************************************************************************
-
+[
+{ type: install
+ message: <<EOM
Remember to run mysql_upgrade (with the optional --datadir=<dbdir> flag)
the first time you start the MySQL server after an upgrade from an
earlier version.
@@ -11,5 +12,6 @@ my.cnf. Please move existing my.cnf files from those paths to
This port does NOT include the mytop perl script, this is included in
the MariaDB tarball but the most recent version can be found in the
databases/mytop port
-
-************************************************************************
+EOM
+}
+]
diff --git a/databases/mariadb102-client/files/pkg-message.in b/databases/mariadb102-client/files/pkg-message.in
index 8bea32f83491..00ac47038607 100644
--- a/databases/mariadb102-client/files/pkg-message.in
+++ b/databases/mariadb102-client/files/pkg-message.in
@@ -1,7 +1,9 @@
-************************************************************************
-
+[
+{ type: install
+ message: <<EOM
MariaDB respects hier(7) and doesn't check /etc and /etc/mysql for
my.cnf. Please move existing my.cnf files from those paths to
%%PREFIX%%/etc and %%PREFIX%%/etc/mysql.
-
-************************************************************************
+EOM
+}
+]
diff --git a/databases/mariadb102-server/files/pkg-message.in b/databases/mariadb102-server/files/pkg-message.in
index e0b900e2bc63..3f08368641a8 100644
--- a/databases/mariadb102-server/files/pkg-message.in
+++ b/databases/mariadb102-server/files/pkg-message.in
@@ -1,15 +1,8 @@
-************************************************************************
-
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-!! !!
-!! The default InnoDB storage engine is no longer XtraDB, check your !!
-!! configuration and switch it to InnoDB !!
-!! !!
-!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
-
-Remember to run mysql_upgrade (with the optional --datadir=<dbdir> flag)
-the first time you start the MySQL server after an upgrade from an
-earlier version.
+[
+{ type: install
+ message: <<EOM
+The default InnoDB storage engine is no longer XtraDB, check your
+configuration and switch it to InnoDB
MariaDB respects hier(7) and doesn't check /etc and /etc/mysql for
my.cnf. Please move existing my.cnf files from those paths to
@@ -18,5 +11,13 @@ my.cnf. Please move existing my.cnf files from those paths to
This port does NOT include the mytop perl script, this is included in
the MariaDB tarball but the most recent version can be found in the
databases/mytop port
-
-************************************************************************
+EOM
+}
+{ type: upgrade
+ message: <<EOM
+Remember to run mysql_upgrade (with the optional --datadir=<dbdir> flag)
+the first time you start the MySQL server after an upgrade from an
+earlier version.
+EOM
+}
+]
diff --git a/databases/mariadb103-client/files/pkg-message.in b/databases/mariadb103-client/files/pkg-message.in
index 8bea32f83491..00ac47038607 100644
--- a/databases/mariadb103-client/files/pkg-message.in
+++ b/databases/mariadb103-client/files/pkg-message.in
@@ -1,7 +1,9 @@
-************************************************************************
-
+[
+{ type: install
+ message: <<EOM
MariaDB respects hier(7) and doesn't check /etc and /etc/mysql for
my.cnf. Please move existing my.cnf files from those paths to
%%PREFIX%%/etc and %%PREFIX%%/etc/mysql.
-
-************************************************************************
+EOM
+}
+]
diff --git a/databases/mariadb103-server/files/pkg-message.in b/databases/mariadb103-server/files/pkg-message.in
index b49d42074149..7c02aa873dca 100644
--- a/databases/mariadb103-server/files/pkg-message.in
+++ b/databases/mariadb103-server/files/pkg-message.in
@@ -1,9 +1,6 @@
-************************************************************************
-
-Remember to run mysql_upgrade (with the optional --datadir=<dbdir> flag)
-the first time you start the MySQL server after an upgrade from an
-earlier version.
-
+[
+{ type: install
+ message: <<EOM
MariaDB respects hier(7) and doesn't check /etc and /etc/mysql for
my.cnf. Please move existing my.cnf files from those paths to
%%PREFIX%%/etc and %%PREFIX%%/etc/mysql.
@@ -11,5 +8,13 @@ my.cnf. Please move existing my.cnf files from those paths to
This port does NOT include the mytop perl script, this is included in
the MariaDB tarball but the most recent version can be found in the
databases/mytop port
-
-************************************************************************
+EOM
+}
+{ type: upgrade
+ message: <<EOM
+Remember to run mysql_upgrade (with the optional --datadir=<dbdir> flag)
+the first time you start the MySQL server after an upgrade from an
+earlier version.
+EOM
+}
+]
diff --git a/databases/mariadb104-client/files/pkg-message.in b/databases/mariadb104-client/files/pkg-message.in
index 8bea32f83491..00ac47038607 100644
--- a/databases/mariadb104-client/files/pkg-message.in
+++ b/databases/mariadb104-client/files/pkg-message.in
@@ -1,7 +1,9 @@
-************************************************************************
-
+[
+{ type: install
+ message: <<EOM
MariaDB respects hier(7) and doesn't check /etc and /etc/mysql for
my.cnf. Please move existing my.cnf files from those paths to
%%PREFIX%%/etc and %%PREFIX%%/etc/mysql.
-
-************************************************************************
+EOM
+}
+]
diff --git a/databases/mariadb104-server/files/pkg-message.in b/databases/mariadb104-server/files/pkg-message.in
index b49d42074149..7c02aa873dca 100644
--- a/databases/mariadb104-server/files/pkg-message.in
+++ b/databases/mariadb104-server/files/pkg-message.in
@@ -1,9 +1,6 @@
-************************************************************************
-
-Remember to run mysql_upgrade (with the optional --datadir=<dbdir> flag)
-the first time you start the MySQL server after an upgrade from an
-earlier version.
-
+[
+{ type: install
+ message: <<EOM
MariaDB respects hier(7) and doesn't check /etc and /etc/mysql for
my.cnf. Please move existing my.cnf files from those paths to
%%PREFIX%%/etc and %%PREFIX%%/etc/mysql.
@@ -11,5 +8,13 @@ my.cnf. Please move existing my.cnf files from those paths to
This port does NOT include the mytop perl script, this is included in
the MariaDB tarball but the most recent version can be found in the
databases/mytop port
-
-************************************************************************
+EOM
+}
+{ type: upgrade
+ message: <<EOM
+Remember to run mysql_upgrade (with the optional --datadir=<dbdir> flag)
+the first time you start the MySQL server after an upgrade from an
+earlier version.
+EOM
+}
+]
diff --git a/databases/mariadb55-client/files/pkg-message.in b/databases/mariadb55-client/files/pkg-message.in
index 8bea32f83491..00ac47038607 100644
--- a/databases/mariadb55-client/files/pkg-message.in
+++ b/databases/mariadb55-client/files/pkg-message.in
@@ -1,7 +1,9 @@
-************************************************************************
-
+[
+{ type: install
+ message: <<EOM
MariaDB respects hier(7) and doesn't check /etc and /etc/mysql for
my.cnf. Please move existing my.cnf files from those paths to
%%PREFIX%%/etc and %%PREFIX%%/etc/mysql.
-
-************************************************************************
+EOM
+}
+]
diff --git a/databases/mariadb55-server/files/pkg-message.in b/databases/mariadb55-server/files/pkg-message.in
index 060c6c66c17f..06766698c10a 100644
--- a/databases/mariadb55-server/files/pkg-message.in
+++ b/databases/mariadb55-server/files/pkg-message.in
@@ -1,11 +1,16 @@
-************************************************************************
-
-Remember to run mysql_upgrade (with the optional --datadir=<dbdir> flag)
-the first time you start the MySQL server after an upgrade from an
-earlier version.
-
+[
+{ type: install
+ message: <<EOM
MariaDB respects hier(7) and doesn't check /etc and /etc/mysql for
my.cnf. Please move existing my.cnf files from those paths to
%%PREFIX%%/etc and %%PREFIX%%/etc/mysql.
-
-************************************************************************
+EOM
+}
+{ type: upgrade
+ message: <<EOM
+Remember to run mysql_upgrade (with the optional --datadir=<dbdir> flag)
+the first time you start the MySQL server after an upgrade from an
+earlier version.
+EOM
+}
+]
diff --git a/databases/mroonga/files/pkg-message.in b/databases/mroonga/files/pkg-message.in
index 0e033de52882..68b9c05f073a 100644
--- a/databases/mroonga/files/pkg-message.in
+++ b/databases/mroonga/files/pkg-message.in
@@ -1,5 +1,9 @@
-##########################################################
-# Run SQLs to register Mroonga engine to MySQL. #
-# #
-# % mysql -u root < %%DATADIR%%/install.sql #
-##########################################################
+[
+{ type: install
+ message: <<EOM
+Run SQLs to register Mroonga engine to MySQL.
+
+% mysql -u root < %%DATADIR%%/install.sql
+EOM
+}
+]
diff --git a/databases/mysql-udf/pkg-message b/databases/mysql-udf/pkg-message
index f23e7492b792..157d9ddb2bc8 100644
--- a/databases/mysql-udf/pkg-message
+++ b/databases/mysql-udf/pkg-message
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
To add the custom functions to your MySQL server use the following syntax:
(you may install only the functions you need):
@@ -23,3 +26,6 @@ DROP FUNCTION median;
For function descriptions, see the following webpage:
http://mysql-udf.sourceforge.net/
+EOM
+}
+]
diff --git a/databases/mysql55-client/pkg-message b/databases/mysql55-client/pkg-message
index 4aaa841dd603..0d8d7d73c6c0 100644
--- a/databases/mysql55-client/pkg-message
+++ b/databases/mysql55-client/pkg-message
@@ -1,5 +1,6 @@
-* * * * * * * * * * * * * * * * * * * * * * * *
-
+[
+{ type: install
+ message: <<EOM
Please be aware the database client is vulnerable
to CVE-2015-3152 - SSL Downgrade aka "BACKRONYM".
You may find more information at the following URL:
@@ -11,5 +12,6 @@ Although this database client is not listed as
receiving a patch. Please take note of this when
deploying this software.
-* * * * * * * * * * * * * * * * * * * * * * * *
-
+EOM
+}
+]
diff --git a/databases/mysql55-server/pkg-message b/databases/mysql55-server/pkg-message
index 71d00aa80526..e619c93e68e7 100644
--- a/databases/mysql55-server/pkg-message
+++ b/databases/mysql55-server/pkg-message
@@ -1,6 +1,8 @@
-************************************************************************
-
+[
+{ type: upgrade
+ message: <<EOM
Remember to run mysql_upgrade the first time you start the MySQL server
after an upgrade from an earlier version.
-
-************************************************************************
+EOM
+}
+]
diff --git a/databases/mysql56-client/pkg-message b/databases/mysql56-client/pkg-message
index 879bb341f0b6..a71ac478bbf5 100644
--- a/databases/mysql56-client/pkg-message
+++ b/databases/mysql56-client/pkg-message
@@ -1,5 +1,6 @@
-* * * * * * * * * * * * * * * * * * * * * * * *
-
+[
+{ type: install
+ message: <<EOM
Please be aware the database client is vulnerable
to CVE-2015-3152 - SSL Downgrade aka "BACKRONYM".
You may find more information at the following URL:
@@ -10,5 +11,6 @@ Although this database client is not listed as
"affected", it is vulnerable and will not be
receiving a patch. Please take note of this when
deploying this software.
-
-* * * * * * * * * * * * * * * * * * * * * * * *
+EOM
+}
+]
diff --git a/databases/mysql56-server/pkg-message b/databases/mysql56-server/pkg-message
index e04486a57b57..51df5cd3b538 100644
--- a/databases/mysql56-server/pkg-message
+++ b/databases/mysql56-server/pkg-message
@@ -1,15 +1,16 @@
-*****************************************************************************
-
-Remember to run mysql_upgrade the first time you start the MySQL server
-after an upgrade from an earlier version.
-
-*****************************************************************************
-
-*****************************************************************************
-
+[
+{ type: install
+ message: <<EOM
Please keep in mind that the default location for my.cnf will be changed
from "/var/db/mysql/my.cnf" to "/usr/local/etc/mysql/my.cnf" in the near
future. If you do not want to move your my.cnf to the new location then
you must set "mysql_optfile" in /etc/rc.conf to "/var/db/mysql/my.cnf".
-
-*****************************************************************************
+EOM
+}
+{ type: upgrade
+ message: <<EOM
+Remember to run mysql_upgrade the first time you start the MySQL server
+after an upgrade from an earlier version.
+EOM
+}
+]
diff --git a/databases/mysql57-client/pkg-message b/databases/mysql57-client/pkg-message
index 0e53a2bace9c..2890251a7084 100644
--- a/databases/mysql57-client/pkg-message
+++ b/databases/mysql57-client/pkg-message
@@ -1,6 +1,8 @@
-* * * * * * * * * * * * * * * * * * * * * * * *
-
+[
+{ type: install
+ message: <<EOM
This is the mysql CLIENT without the server.
for complete server and client, please install databases/mysql57-server
-
-* * * * * * * * * * * * * * * * * * * * * * * *
+EOM
+}
+]
diff --git a/databases/mysql57-server/pkg-message b/databases/mysql57-server/pkg-message
index 751330e3ab70..ab95d7af9de9 100644
--- a/databases/mysql57-server/pkg-message
+++ b/databases/mysql57-server/pkg-message
@@ -1,8 +1,6 @@
-*****************************************************************************
-
-Remember to run mysql_upgrade the first time you start the MySQL server
-after an upgrade from an earlier version.
-
+[
+{ type: install
+ message: <<EOM
Initial password for first time use of MySQL is saved in $HOME/.mysql_secret
ie. when you want to use "mysql -u root -p" first you should see password
in /root/.mysql_secret
@@ -10,5 +8,12 @@ in /root/.mysql_secret
MySQL57 has a default %%ETCDIR%%/my.cnf,
remember to replace it wit your own
or set `mysql_optfile="$YOUR_CNF_FILE` in rc.conf.
-
-*****************************************************************************
+EOM
+}
+{ type: upgrade
+ message: <<EOM
+Remember to run mysql_upgrade the first time you start the MySQL server
+after an upgrade from an earlier version.
+EOM
+}
+]
diff --git a/databases/mysql80-client/pkg-message b/databases/mysql80-client/pkg-message
index 341ae825fe5b..dbbd72fe1c67 100644
--- a/databases/mysql80-client/pkg-message
+++ b/databases/mysql80-client/pkg-message
@@ -1,6 +1,8 @@
-* * * * * * * * * * * * * * * * * * * * * * * *
-
+[
+{ type: install
+ message: <<EOM
This is the mysql CLIENT without the server.
for complete server and client, please install databases/mysql80-server
-
-* * * * * * * * * * * * * * * * * * * * * * * *
+EOM
+}
+]
diff --git a/databases/mysql80-server/pkg-message b/databases/mysql80-server/pkg-message
index 9f039ae99913..0b827d3032c9 100644
--- a/databases/mysql80-server/pkg-message
+++ b/databases/mysql80-server/pkg-message
@@ -1,13 +1,18 @@
-*****************************************************************************
-
-Remember to run mysql_upgrade the first time you start the MySQL server
-after an upgrade from an earlier version.
-
+[
+{ type: install
+ message: <<EOM
There is no initial password for first time use of MySQL.
Keep in mind to reset it to a secure password.
MySQL80 has a default %%ETCDIR%%/my.cnf,
remember to replace it with your own
or set `mysql_optfile="$YOUR_CNF_FILE` in rc.conf.
-
-*****************************************************************************
+EOM
+}
+{ type: upgrade
+ message: <<EOM
+Remember to run mysql_upgrade the first time you start the MySQL server
+after an upgrade from an earlier version.
+EOM
+}
+]
diff --git a/databases/mysqlwsrep56-server/pkg-message b/databases/mysqlwsrep56-server/pkg-message
index 71d00aa80526..e619c93e68e7 100644
--- a/databases/mysqlwsrep56-server/pkg-message
+++ b/databases/mysqlwsrep56-server/pkg-message
@@ -1,6 +1,8 @@
-************************************************************************
-
+[
+{ type: upgrade
+ message: <<EOM
Remember to run mysql_upgrade the first time you start the MySQL server
after an upgrade from an earlier version.
-
-************************************************************************
+EOM
+}
+]
diff --git a/databases/mysqlwsrep57-server/pkg-message b/databases/mysqlwsrep57-server/pkg-message
index 71d00aa80526..e619c93e68e7 100644
--- a/databases/mysqlwsrep57-server/pkg-message
+++ b/databases/mysqlwsrep57-server/pkg-message
@@ -1,6 +1,8 @@
-************************************************************************
-
+[
+{ type: upgrade
+ message: <<EOM
Remember to run mysql_upgrade the first time you start the MySQL server
after an upgrade from an earlier version.
-
-************************************************************************
+EOM
+}
+]
diff --git a/databases/percona-pam-for-mysql/pkg-message b/databases/percona-pam-for-mysql/pkg-message
index 74250b42fd4c..6f658f86129e 100644
--- a/databases/percona-pam-for-mysql/pkg-message
+++ b/databases/percona-pam-for-mysql/pkg-message
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
Documentation for using percona-pam-for-mysql authentication plugin can
be found at:
@@ -5,3 +8,6 @@ https://www.percona.com/doc/percona-pam-for-mysql/index.html
Please note that you need this plugin installed on both the client and
server for authentication to be successful.
+EOM
+}
+]
diff --git a/databases/percona55-client/pkg-message b/databases/percona55-client/pkg-message
index 4aaa841dd603..a71ac478bbf5 100644
--- a/databases/percona55-client/pkg-message
+++ b/databases/percona55-client/pkg-message
@@ -1,5 +1,6 @@
-* * * * * * * * * * * * * * * * * * * * * * * *
-
+[
+{ type: install
+ message: <<EOM
Please be aware the database client is vulnerable
to CVE-2015-3152 - SSL Downgrade aka "BACKRONYM".
You may find more information at the following URL:
@@ -10,6 +11,6 @@ Although this database client is not listed as
"affected", it is vulnerable and will not be
receiving a patch. Please take note of this when
deploying this software.
-
-* * * * * * * * * * * * * * * * * * * * * * * *
-
+EOM
+}
+]
diff --git a/databases/percona55-server/pkg-message b/databases/percona55-server/pkg-message
index 7e30302334e6..b3bae4aac6f7 100644
--- a/databases/percona55-server/pkg-message
+++ b/databases/percona55-server/pkg-message
@@ -1,7 +1,9 @@
-************************************************************************
-
+[
+{ type: upgrade
+ message: <<EOM
Remember to run mysql_upgrade (with the optional --datadir=<dbdir> flag)
the first time you start the MySQL server after an upgrade from an
earlier version.
-
-************************************************************************
+EOM
+}
+]
diff --git a/databases/percona56-client/pkg-message b/databases/percona56-client/pkg-message
index 4aaa841dd603..a71ac478bbf5 100644
--- a/databases/percona56-client/pkg-message
+++ b/databases/percona56-client/pkg-message
@@ -1,5 +1,6 @@
-* * * * * * * * * * * * * * * * * * * * * * * *
-
+[
+{ type: install
+ message: <<EOM
Please be aware the database client is vulnerable
to CVE-2015-3152 - SSL Downgrade aka "BACKRONYM".
You may find more information at the following URL:
@@ -10,6 +11,6 @@ Although this database client is not listed as
"affected", it is vulnerable and will not be
receiving a patch. Please take note of this when
deploying this software.
-
-* * * * * * * * * * * * * * * * * * * * * * * *
-
+EOM
+}
+]
diff --git a/databases/percona56-server/pkg-message b/databases/percona56-server/pkg-message
index 71d00aa80526..e619c93e68e7 100644
--- a/databases/percona56-server/pkg-message
+++ b/databases/percona56-server/pkg-message
@@ -1,6 +1,8 @@
-************************************************************************
-
+[
+{ type: upgrade
+ message: <<EOM
Remember to run mysql_upgrade the first time you start the MySQL server
after an upgrade from an earlier version.
-
-************************************************************************
+EOM
+}
+]
diff --git a/databases/percona57-pam-for-mysql/pkg-message b/databases/percona57-pam-for-mysql/pkg-message
index 6682ed7ddea3..4bade43b0850 100644
--- a/databases/percona57-pam-for-mysql/pkg-message
+++ b/databases/percona57-pam-for-mysql/pkg-message
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
Documentation for using percona-pam-for-mysql authentication plugin can
be found at:
@@ -8,3 +11,6 @@ server for authentication to be successful.
This version of the plugin is compatible with the new auth plugin API
introduced in MySQL 5.7.
+EOM
+}
+]
diff --git a/databases/percona57-server/pkg-message b/databases/percona57-server/pkg-message
index 899151c6d22b..c6e5d3df8100 100644
--- a/databases/percona57-server/pkg-message
+++ b/databases/percona57-server/pkg-message
@@ -1,10 +1,15 @@
-************************************************************************
-
-Remember to run mysql_upgrade the first time you start the MySQL server
-after an upgrade from an earlier version.
-
+[
+{ type: install
+ message: <<EOM
Initial password for first time use of MySQL is saved in $HOME/.mysql_secret
ie. when you want to use "mysql -u root -p" first you should see password
in /root/.mysql_secret
-
-************************************************************************
+EOM
+}
+{ type: upgrade
+ message: <<EOM
+Remember to run mysql_upgrade the first time you start the MySQL server
+after an upgrade from an earlier version.
+EOM
+}
+]
diff --git a/databases/pg_qualstats/pkg-message b/databases/pg_qualstats/pkg-message
index 996a846ea30c..61edc423458e 100644
--- a/databases/pg_qualstats/pkg-message
+++ b/databases/pg_qualstats/pkg-message
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
To activate pg_qualstats on your PostgreSQL server, add 'pg_qualstats' to
shared_preload_libraries in $PGDATA/postgresql.conf. For every database,
run
@@ -5,3 +8,6 @@ run
Using databases/powa-web and databases/powa-archivist together with
pg_qualstats is warmly recommended.
+EOM
+}
+]
diff --git a/databases/pg_stat_kcache/pkg-message b/databases/pg_stat_kcache/pkg-message
index d3b1bd781bfc..20455d0a744a 100644
--- a/databases/pg_stat_kcache/pkg-message
+++ b/databases/pg_stat_kcache/pkg-message
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
To activate pg_stat_kcache on your PostgreSQL server, add 'pg_stat_kcache' to
shared_preload_libraries in $PGDATA/postgresql.conf. For every database,
run
@@ -5,3 +8,6 @@ run
Using databases/powa-web and databases/powa-archivist together with
pg_stat_kcache is warmly recommended.
+EOM
+}
+]
diff --git a/databases/pgbouncer/files/pkg-message.in b/databases/pgbouncer/files/pkg-message.in
index 4d2facfe0ca9..14e7b184801a 100644
--- a/databases/pgbouncer/files/pkg-message.in
+++ b/databases/pgbouncer/files/pkg-message.in
@@ -1,6 +1,6 @@
-
-===> CONFIGURATION NOTE:
-
+[
+{ type: install
+ message: <<EOM
To setup pgbouncer you need to edit the configuration file:
%%PREFIX%%/etc/pgbouncer.ini
@@ -10,3 +10,6 @@
To run pgbouncer from startup, add pgbouncer_enable="YES"
in your /etc/rc.conf.
+EOM
+}
+]
diff --git a/databases/pgpool-II-35/pkg-message b/databases/pgpool-II-35/pkg-message
index b1a7385436a6..1df287cd433a 100644
--- a/databases/pgpool-II-35/pkg-message
+++ b/databases/pgpool-II-35/pkg-message
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
In order to start pgpool you need some more configuration:
# sysrc -f /etc/rc.conf pgpool_enable="YES"
@@ -7,3 +10,6 @@ Please consider the usage of another user. The user is
required to have read/write access to /var/run/pgpool.
Using the root user is - as always - an security issue.
+EOM
+}
+]
diff --git a/databases/pgpool-II-36/pkg-message b/databases/pgpool-II-36/pkg-message
index b1a7385436a6..1df287cd433a 100644
--- a/databases/pgpool-II-36/pkg-message
+++ b/databases/pgpool-II-36/pkg-message
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
In order to start pgpool you need some more configuration:
# sysrc -f /etc/rc.conf pgpool_enable="YES"
@@ -7,3 +10,6 @@ Please consider the usage of another user. The user is
required to have read/write access to /var/run/pgpool.
Using the root user is - as always - an security issue.
+EOM
+}
+]
diff --git a/databases/pgpool-II-37/pkg-message b/databases/pgpool-II-37/pkg-message
index b1a7385436a6..1df287cd433a 100644
--- a/databases/pgpool-II-37/pkg-message
+++ b/databases/pgpool-II-37/pkg-message
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
In order to start pgpool you need some more configuration:
# sysrc -f /etc/rc.conf pgpool_enable="YES"
@@ -7,3 +10,6 @@ Please consider the usage of another user. The user is
required to have read/write access to /var/run/pgpool.
Using the root user is - as always - an security issue.
+EOM
+}
+]
diff --git a/databases/pgpool-II-40/pkg-message b/databases/pgpool-II-40/pkg-message
index b1a7385436a6..1df287cd433a 100644
--- a/databases/pgpool-II-40/pkg-message
+++ b/databases/pgpool-II-40/pkg-message
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
In order to start pgpool you need some more configuration:
# sysrc -f /etc/rc.conf pgpool_enable="YES"
@@ -7,3 +10,6 @@ Please consider the usage of another user. The user is
required to have read/write access to /var/run/pgpool.
Using the root user is - as always - an security issue.
+EOM
+}
+]
diff --git a/databases/pgpool/pkg-message b/databases/pgpool/pkg-message
index b1a7385436a6..1df287cd433a 100644
--- a/databases/pgpool/pkg-message
+++ b/databases/pgpool/pkg-message
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
In order to start pgpool you need some more configuration:
# sysrc -f /etc/rc.conf pgpool_enable="YES"
@@ -7,3 +10,6 @@ Please consider the usage of another user. The user is
required to have read/write access to /var/run/pgpool.
Using the root user is - as always - an security issue.
+EOM
+}
+]
diff --git a/databases/pgroonga/files/pkg-message.in b/databases/pgroonga/files/pkg-message.in
index 21cfbd00cc5a..20b75bd3e814 100644
--- a/databases/pgroonga/files/pkg-message.in
+++ b/databases/pgroonga/files/pkg-message.in
@@ -1,12 +1,15 @@
-######################################################################################
-# Create a database: #
-# ================== #
-# % sudo -H -u postgres psql --command 'CREATE DATABASE pgroonga_test' #
-# (Normally, you should create a user for pgroonga_test database and use the user. #
-# See GRANT USAGE ON SCHEMA pgroonga for details.) #
-# #
-# Connect to the created database and execute CREATE EXTENSION pgroonga: #
-# ====================================================================== #
-# % sudo -H -u postgres psql -d pgroonga_test --command 'CREATE EXTENSION pgroonga;' #
-# #
-######################################################################################
+[
+{ type: install
+ message: <<EOM
+Create a database:
+==================
+% sudo -H -u postgres psql --command 'CREATE DATABASE pgroonga_test'
+(Normally, you should create a user for pgroonga_test database and use the user.
+See GRANT USAGE ON SCHEMA pgroonga for details.)
+
+Connect to the created database and execute CREATE EXTENSION pgroonga:
+======================================================================
+% sudo -H -u postgres psql -d pgroonga_test --command 'CREATE EXTENSION pgroonga;'
+EOM
+}
+]
diff --git a/databases/pguri/pkg-message b/databases/pguri/pkg-message
index a89fdfaadbd2..a3d20f1cd402 100644
--- a/databases/pguri/pkg-message
+++ b/databases/pguri/pkg-message
@@ -1,3 +1,9 @@
+[
+{ type: install
+ message: <<EOM
In order to use the extension within database execute the following command:
CREATE EXTENSION uri;
+EOM
+}
+]
diff --git a/databases/phpliteadmin/files/pkg-message.in b/databases/phpliteadmin/files/pkg-message.in
index a69b5cee05e4..67acd5fcf2d3 100644
--- a/databases/phpliteadmin/files/pkg-message.in
+++ b/databases/phpliteadmin/files/pkg-message.in
@@ -1,7 +1,12 @@
-
+[
+{ type: install
+ message: <<EOM
phpliteadmin has been installed into:
%%WWWDIR%%
Please copy phpliteadmin.config.sample.php to phpliteadmin.config.php and
edit as you needs.
+EOM
+}
+]
diff --git a/databases/phpmyadmin/files/pkg-message.in b/databases/phpmyadmin/files/pkg-message.in
index 19bf0c1070e5..c59745d76ae7 100644
--- a/databases/phpmyadmin/files/pkg-message.in
+++ b/databases/phpmyadmin/files/pkg-message.in
@@ -1,4 +1,6 @@
-
+[
+{ type: install
+ message: <<EOM
%%PKGNAME%% has been installed into:
%%WWWDIR%%
@@ -41,3 +43,6 @@ advises that any instance be protected with an additional protection layer,
e.g. a different access control mechanism implemented by the web server
as shown in the example. Do consider enabling phpMyAdmin only when it
is in use.
+EOM
+}
+]
diff --git a/databases/postgresql-cstore_fdw/files/pkg-message.in b/databases/postgresql-cstore_fdw/files/pkg-message.in
index 6fd10b2d6f1e..34d6ed637142 100644
--- a/databases/postgresql-cstore_fdw/files/pkg-message.in
+++ b/databases/postgresql-cstore_fdw/files/pkg-message.in
@@ -1,5 +1,7 @@
-****************************************************************************
-
+[
+{ type: upgrade
+ maximum_version: 1.6
+ message: <<EOM
If you are upgrading cstore_fdw from a version prior to 1.6, you need
to execute the following steps:
@@ -10,5 +12,6 @@ to execute the following steps:
Please, visit the following URL for more information:
https://github.com/citusdata/cstore_fdw/blob/master/README.md
-
-***************************************************************************
+EOM
+}
+]
diff --git a/databases/postgresql-jdbc/files/pkg-message.in b/databases/postgresql-jdbc/files/pkg-message.in
index a0c1be4aae2f..89d8d0fdfcc8 100644
--- a/databases/postgresql-jdbc/files/pkg-message.in
+++ b/databases/postgresql-jdbc/files/pkg-message.in
@@ -1,5 +1,11 @@
+[
+{ type: install
+ message: <<EOM
PostgreSQL JDBC support installed!
postgresql.jar resides in
%%JAVAJARDIR%%/postgresql.jar
Add this to your CLASSPATH!
+EOM
+}
+]
diff --git a/databases/postgresql-plv8js/pkg-message b/databases/postgresql-plv8js/pkg-message
index b47ee85e962a..4a8c17a481fa 100644
--- a/databases/postgresql-plv8js/pkg-message
+++ b/databases/postgresql-plv8js/pkg-message
@@ -1,5 +1,11 @@
+[
+{ type: install
+ message: <<EOM
Use the following sql script to create PL/v8js
psql -c 'CREATE EXTENSION plv8'
psql -c 'CREATE EXTENSION plls'
psql -c 'CREATE EXTENSION plcoffee'
+EOM
+}
+]
diff --git a/databases/postgresql-relay/pkg-message b/databases/postgresql-relay/pkg-message
index 2423b1cfbb65..95b574e6a0ee 100644
--- a/databases/postgresql-relay/pkg-message
+++ b/databases/postgresql-relay/pkg-message
@@ -1,3 +1,9 @@
+[
+{ type: install
+ message: <<EOM
Databases/postgresql-relay now supports rc.subr.
Please add 'postgresqlrelay_enable="YES"' to your /etc/rc.conf
to make it start autoamtically at startup.
+EOM
+}
+]
diff --git a/databases/postgresql10-server/files/pkg-message-client.in b/databases/postgresql10-server/files/pkg-message-client.in
index 0255f5ea747c..404124204b7d 100644
--- a/databases/postgresql10-server/files/pkg-message-client.in
+++ b/databases/postgresql10-server/files/pkg-message-client.in
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
The PostgreSQL port has a collection of "side orders":
postgresql-docs
@@ -30,3 +33,6 @@ postgresql-contrib
things.
etc...
+EOM
+}
+]
diff --git a/databases/postgresql10-server/files/pkg-message-contrib.in b/databases/postgresql10-server/files/pkg-message-contrib.in
index 2b29ffd33041..2d9f3d86e71c 100644
--- a/databases/postgresql10-server/files/pkg-message-contrib.in
+++ b/databases/postgresql10-server/files/pkg-message-contrib.in
@@ -1,3 +1,9 @@
+[
+{ type: install
+ message: <<EOM
The PostgreSQL contrib utilities have been installed. Please see
%%PREFIX%%/share/doc/postgresql/contrib/README
for more information.
+EOM
+}
+]
diff --git a/databases/postgresql10-server/files/pkg-message-plperl.in b/databases/postgresql10-server/files/pkg-message-plperl.in
index 5d0c83920563..dbda7daff5c2 100644
--- a/databases/postgresql10-server/files/pkg-message-plperl.in
+++ b/databases/postgresql10-server/files/pkg-message-plperl.in
@@ -1,3 +1,9 @@
+[
+{ type: install
+ message: <<EOM
PL/Perl has been installed. Check the createlang(l) manpage for more
info. You can install PL/Perl as trusted or untrusted, by using either
"createlang plperl" or "createlang plperlu".
+EOM
+}
+]
diff --git a/databases/postgresql10-server/files/pkg-message-plpython.in b/databases/postgresql10-server/files/pkg-message-plpython.in
index c413582b6295..3bd80d73d177 100644
--- a/databases/postgresql10-server/files/pkg-message-plpython.in
+++ b/databases/postgresql10-server/files/pkg-message-plpython.in
@@ -1,3 +1,9 @@
+[
+{ type: install
+ message: <<EOM
PL/Python has been installed. Check the createlang(l) manpage for more
info. You can install PL/Python by using "createlang plpythonu" (it
exists as an untrusted language only).
+EOM
+}
+]
diff --git a/databases/postgresql10-server/files/pkg-message-pltcl.in b/databases/postgresql10-server/files/pkg-message-pltcl.in
index 0902b858de0b..c1776f7d6fb3 100644
--- a/databases/postgresql10-server/files/pkg-message-pltcl.in
+++ b/databases/postgresql10-server/files/pkg-message-pltcl.in
@@ -1,3 +1,9 @@
+[
+{ type: install
+ message: <<EOM
PL/Tcl has been installed. Check the createlang(l) manpage for more
info. You can install pltcl as trusted or untrusted, by using either
"createlang pltcl" or "createlang pltclu".
+EOM
+}
+]
diff --git a/databases/postgresql10-server/files/pkg-message-server.in b/databases/postgresql10-server/files/pkg-message-server.in
index 8df5b8198903..84a13f7cb47c 100644
--- a/databases/postgresql10-server/files/pkg-message-server.in
+++ b/databases/postgresql10-server/files/pkg-message-server.in
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
For procedural languages and postgresql functions, please note that
you might have to update them when updating the server.
@@ -61,4 +64,6 @@ NB. If you're not using a checksumming filesystem like ZFS, you might
To run PostgreSQL at startup, add
'postgresql_enable="YES"' to /etc/rc.conf
-
+EOM
+}
+]
diff --git a/databases/postgresql11-server/files/pkg-message-client.in b/databases/postgresql11-server/files/pkg-message-client.in
index 0255f5ea747c..404124204b7d 100644
--- a/databases/postgresql11-server/files/pkg-message-client.in
+++ b/databases/postgresql11-server/files/pkg-message-client.in
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
The PostgreSQL port has a collection of "side orders":
postgresql-docs
@@ -30,3 +33,6 @@ postgresql-contrib
things.
etc...
+EOM
+}
+]
diff --git a/databases/postgresql11-server/files/pkg-message-contrib.in b/databases/postgresql11-server/files/pkg-message-contrib.in
index 2b29ffd33041..2d9f3d86e71c 100644
--- a/databases/postgresql11-server/files/pkg-message-contrib.in
+++ b/databases/postgresql11-server/files/pkg-message-contrib.in
@@ -1,3 +1,9 @@
+[
+{ type: install
+ message: <<EOM
The PostgreSQL contrib utilities have been installed. Please see
%%PREFIX%%/share/doc/postgresql/contrib/README
for more information.
+EOM
+}
+]
diff --git a/databases/postgresql11-server/files/pkg-message-plperl.in b/databases/postgresql11-server/files/pkg-message-plperl.in
index 5d0c83920563..dbda7daff5c2 100644
--- a/databases/postgresql11-server/files/pkg-message-plperl.in
+++ b/databases/postgresql11-server/files/pkg-message-plperl.in
@@ -1,3 +1,9 @@
+[
+{ type: install
+ message: <<EOM
PL/Perl has been installed. Check the createlang(l) manpage for more
info. You can install PL/Perl as trusted or untrusted, by using either
"createlang plperl" or "createlang plperlu".
+EOM
+}
+]
diff --git a/databases/postgresql11-server/files/pkg-message-plpython.in b/databases/postgresql11-server/files/pkg-message-plpython.in
index c413582b6295..3bd80d73d177 100644
--- a/databases/postgresql11-server/files/pkg-message-plpython.in
+++ b/databases/postgresql11-server/files/pkg-message-plpython.in
@@ -1,3 +1,9 @@
+[
+{ type: install
+ message: <<EOM
PL/Python has been installed. Check the createlang(l) manpage for more
info. You can install PL/Python by using "createlang plpythonu" (it
exists as an untrusted language only).
+EOM
+}
+]
diff --git a/databases/postgresql11-server/files/pkg-message-pltcl.in b/databases/postgresql11-server/files/pkg-message-pltcl.in
index 0902b858de0b..c1776f7d6fb3 100644
--- a/databases/postgresql11-server/files/pkg-message-pltcl.in
+++ b/databases/postgresql11-server/files/pkg-message-pltcl.in
@@ -1,3 +1,9 @@
+[
+{ type: install
+ message: <<EOM
PL/Tcl has been installed. Check the createlang(l) manpage for more
info. You can install pltcl as trusted or untrusted, by using either
"createlang pltcl" or "createlang pltclu".
+EOM
+}
+]
diff --git a/databases/postgresql11-server/files/pkg-message-server.in b/databases/postgresql11-server/files/pkg-message-server.in
index 8df5b8198903..84a13f7cb47c 100644
--- a/databases/postgresql11-server/files/pkg-message-server.in
+++ b/databases/postgresql11-server/files/pkg-message-server.in
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
For procedural languages and postgresql functions, please note that
you might have to update them when updating the server.
@@ -61,4 +64,6 @@ NB. If you're not using a checksumming filesystem like ZFS, you might
To run PostgreSQL at startup, add
'postgresql_enable="YES"' to /etc/rc.conf
-
+EOM
+}
+]
diff --git a/databases/postgresql12-server/files/pkg-message-client.in b/databases/postgresql12-server/files/pkg-message-client.in
index 0255f5ea747c..404124204b7d 100644
--- a/databases/postgresql12-server/files/pkg-message-client.in
+++ b/databases/postgresql12-server/files/pkg-message-client.in
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
The PostgreSQL port has a collection of "side orders":
postgresql-docs
@@ -30,3 +33,6 @@ postgresql-contrib
things.
etc...
+EOM
+}
+]
diff --git a/databases/postgresql12-server/files/pkg-message-contrib.in b/databases/postgresql12-server/files/pkg-message-contrib.in
index 2b29ffd33041..2d9f3d86e71c 100644
--- a/databases/postgresql12-server/files/pkg-message-contrib.in
+++ b/databases/postgresql12-server/files/pkg-message-contrib.in
@@ -1,3 +1,9 @@
+[
+{ type: install
+ message: <<EOM
The PostgreSQL contrib utilities have been installed. Please see
%%PREFIX%%/share/doc/postgresql/contrib/README
for more information.
+EOM
+}
+]
diff --git a/databases/postgresql12-server/files/pkg-message-plperl.in b/databases/postgresql12-server/files/pkg-message-plperl.in
index 5d0c83920563..dbda7daff5c2 100644
--- a/databases/postgresql12-server/files/pkg-message-plperl.in
+++ b/databases/postgresql12-server/files/pkg-message-plperl.in
@@ -1,3 +1,9 @@
+[
+{ type: install
+ message: <<EOM
PL/Perl has been installed. Check the createlang(l) manpage for more
info. You can install PL/Perl as trusted or untrusted, by using either
"createlang plperl" or "createlang plperlu".
+EOM
+}
+]
diff --git a/databases/postgresql12-server/files/pkg-message-plpython.in b/databases/postgresql12-server/files/pkg-message-plpython.in
index c413582b6295..3bd80d73d177 100644
--- a/databases/postgresql12-server/files/pkg-message-plpython.in
+++ b/databases/postgresql12-server/files/pkg-message-plpython.in
@@ -1,3 +1,9 @@
+[
+{ type: install
+ message: <<EOM
PL/Python has been installed. Check the createlang(l) manpage for more
info. You can install PL/Python by using "createlang plpythonu" (it
exists as an untrusted language only).
+EOM
+}
+]
diff --git a/databases/postgresql12-server/files/pkg-message-pltcl.in b/databases/postgresql12-server/files/pkg-message-pltcl.in
index 0902b858de0b..c1776f7d6fb3 100644
--- a/databases/postgresql12-server/files/pkg-message-pltcl.in
+++ b/databases/postgresql12-server/files/pkg-message-pltcl.in
@@ -1,3 +1,9 @@
+[
+{ type: install
+ message: <<EOM
PL/Tcl has been installed. Check the createlang(l) manpage for more
info. You can install pltcl as trusted or untrusted, by using either
"createlang pltcl" or "createlang pltclu".
+EOM
+}
+]
diff --git a/databases/postgresql12-server/files/pkg-message-server.in b/databases/postgresql12-server/files/pkg-message-server.in
index 8df5b8198903..84a13f7cb47c 100644
--- a/databases/postgresql12-server/files/pkg-message-server.in
+++ b/databases/postgresql12-server/files/pkg-message-server.in
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
For procedural languages and postgresql functions, please note that
you might have to update them when updating the server.
@@ -61,4 +64,6 @@ NB. If you're not using a checksumming filesystem like ZFS, you might
To run PostgreSQL at startup, add
'postgresql_enable="YES"' to /etc/rc.conf
-
+EOM
+}
+]
diff --git a/databases/postgresql94-server/files/pkg-message-client.in b/databases/postgresql94-server/files/pkg-message-client.in
index 764697bf3582..8cc91d484fcb 100644
--- a/databases/postgresql94-server/files/pkg-message-client.in
+++ b/databases/postgresql94-server/files/pkg-message-client.in
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
The PostgreSQL port has a collection of "side orders":
postgresql-docs
@@ -30,3 +33,6 @@ postgresql-contrib
things.
etc...
+EOM
+}
+]
diff --git a/databases/postgresql94-server/files/pkg-message-contrib.in b/databases/postgresql94-server/files/pkg-message-contrib.in
index 2b29ffd33041..2d9f3d86e71c 100644
--- a/databases/postgresql94-server/files/pkg-message-contrib.in
+++ b/databases/postgresql94-server/files/pkg-message-contrib.in
@@ -1,3 +1,9 @@
+[
+{ type: install
+ message: <<EOM
The PostgreSQL contrib utilities have been installed. Please see
%%PREFIX%%/share/doc/postgresql/contrib/README
for more information.
+EOM
+}
+]
diff --git a/databases/postgresql94-server/files/pkg-message-plperl.in b/databases/postgresql94-server/files/pkg-message-plperl.in
index 5d0c83920563..dbda7daff5c2 100644
--- a/databases/postgresql94-server/files/pkg-message-plperl.in
+++ b/databases/postgresql94-server/files/pkg-message-plperl.in
@@ -1,3 +1,9 @@
+[
+{ type: install
+ message: <<EOM
PL/Perl has been installed. Check the createlang(l) manpage for more
info. You can install PL/Perl as trusted or untrusted, by using either
"createlang plperl" or "createlang plperlu".
+EOM
+}
+]
diff --git a/databases/postgresql94-server/files/pkg-message-plpython.in b/databases/postgresql94-server/files/pkg-message-plpython.in
index c413582b6295..3bd80d73d177 100644
--- a/databases/postgresql94-server/files/pkg-message-plpython.in
+++ b/databases/postgresql94-server/files/pkg-message-plpython.in
@@ -1,3 +1,9 @@
+[
+{ type: install
+ message: <<EOM
PL/Python has been installed. Check the createlang(l) manpage for more
info. You can install PL/Python by using "createlang plpythonu" (it
exists as an untrusted language only).
+EOM
+}
+]
diff --git a/databases/postgresql94-server/files/pkg-message-pltcl.in b/databases/postgresql94-server/files/pkg-message-pltcl.in
index 0902b858de0b..c1776f7d6fb3 100644
--- a/databases/postgresql94-server/files/pkg-message-pltcl.in
+++ b/databases/postgresql94-server/files/pkg-message-pltcl.in
@@ -1,3 +1,9 @@
+[
+{ type: install
+ message: <<EOM
PL/Tcl has been installed. Check the createlang(l) manpage for more
info. You can install pltcl as trusted or untrusted, by using either
"createlang pltcl" or "createlang pltclu".
+EOM
+}
+]
diff --git a/databases/postgresql94-server/files/pkg-message-server.in b/databases/postgresql94-server/files/pkg-message-server.in
index 8df5b8198903..84a13f7cb47c 100644
--- a/databases/postgresql94-server/files/pkg-message-server.in
+++ b/databases/postgresql94-server/files/pkg-message-server.in
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
For procedural languages and postgresql functions, please note that
you might have to update them when updating the server.
@@ -61,4 +64,6 @@ NB. If you're not using a checksumming filesystem like ZFS, you might
To run PostgreSQL at startup, add
'postgresql_enable="YES"' to /etc/rc.conf
-
+EOM
+}
+]
diff --git a/databases/postgresql95-server/files/pkg-message-client.in b/databases/postgresql95-server/files/pkg-message-client.in
index 764697bf3582..8cc91d484fcb 100644
--- a/databases/postgresql95-server/files/pkg-message-client.in
+++ b/databases/postgresql95-server/files/pkg-message-client.in
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
The PostgreSQL port has a collection of "side orders":
postgresql-docs
@@ -30,3 +33,6 @@ postgresql-contrib
things.
etc...
+EOM
+}
+]
diff --git a/databases/postgresql95-server/files/pkg-message-contrib.in b/databases/postgresql95-server/files/pkg-message-contrib.in
index 2b29ffd33041..2d9f3d86e71c 100644
--- a/databases/postgresql95-server/files/pkg-message-contrib.in
+++ b/databases/postgresql95-server/files/pkg-message-contrib.in
@@ -1,3 +1,9 @@
+[
+{ type: install
+ message: <<EOM
The PostgreSQL contrib utilities have been installed. Please see
%%PREFIX%%/share/doc/postgresql/contrib/README
for more information.
+EOM
+}
+]
diff --git a/databases/postgresql95-server/files/pkg-message-plperl.in b/databases/postgresql95-server/files/pkg-message-plperl.in
index 5d0c83920563..dbda7daff5c2 100644
--- a/databases/postgresql95-server/files/pkg-message-plperl.in
+++ b/databases/postgresql95-server/files/pkg-message-plperl.in
@@ -1,3 +1,9 @@
+[
+{ type: install
+ message: <<EOM
PL/Perl has been installed. Check the createlang(l) manpage for more
info. You can install PL/Perl as trusted or untrusted, by using either
"createlang plperl" or "createlang plperlu".
+EOM
+}
+]
diff --git a/databases/postgresql95-server/files/pkg-message-plpython.in b/databases/postgresql95-server/files/pkg-message-plpython.in
index c413582b6295..3bd80d73d177 100644
--- a/databases/postgresql95-server/files/pkg-message-plpython.in
+++ b/databases/postgresql95-server/files/pkg-message-plpython.in
@@ -1,3 +1,9 @@
+[
+{ type: install
+ message: <<EOM
PL/Python has been installed. Check the createlang(l) manpage for more
info. You can install PL/Python by using "createlang plpythonu" (it
exists as an untrusted language only).
+EOM
+}
+]
diff --git a/databases/postgresql95-server/files/pkg-message-pltcl.in b/databases/postgresql95-server/files/pkg-message-pltcl.in
index 0902b858de0b..c1776f7d6fb3 100644
--- a/databases/postgresql95-server/files/pkg-message-pltcl.in
+++ b/databases/postgresql95-server/files/pkg-message-pltcl.in
@@ -1,3 +1,9 @@
+[
+{ type: install
+ message: <<EOM
PL/Tcl has been installed. Check the createlang(l) manpage for more
info. You can install pltcl as trusted or untrusted, by using either
"createlang pltcl" or "createlang pltclu".
+EOM
+}
+]
diff --git a/databases/postgresql95-server/files/pkg-message-server.in b/databases/postgresql95-server/files/pkg-message-server.in
index 8df5b8198903..84a13f7cb47c 100644
--- a/databases/postgresql95-server/files/pkg-message-server.in
+++ b/databases/postgresql95-server/files/pkg-message-server.in
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
For procedural languages and postgresql functions, please note that
you might have to update them when updating the server.
@@ -61,4 +64,6 @@ NB. If you're not using a checksumming filesystem like ZFS, you might
To run PostgreSQL at startup, add
'postgresql_enable="YES"' to /etc/rc.conf
-
+EOM
+}
+]
diff --git a/databases/postgresql96-server/files/pkg-message-client.in b/databases/postgresql96-server/files/pkg-message-client.in
index 0255f5ea747c..404124204b7d 100644
--- a/databases/postgresql96-server/files/pkg-message-client.in
+++ b/databases/postgresql96-server/files/pkg-message-client.in
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
The PostgreSQL port has a collection of "side orders":
postgresql-docs
@@ -30,3 +33,6 @@ postgresql-contrib
things.
etc...
+EOM
+}
+]
diff --git a/databases/postgresql96-server/files/pkg-message-contrib.in b/databases/postgresql96-server/files/pkg-message-contrib.in
index 2b29ffd33041..2d9f3d86e71c 100644
--- a/databases/postgresql96-server/files/pkg-message-contrib.in
+++ b/databases/postgresql96-server/files/pkg-message-contrib.in
@@ -1,3 +1,9 @@
+[
+{ type: install
+ message: <<EOM
The PostgreSQL contrib utilities have been installed. Please see
%%PREFIX%%/share/doc/postgresql/contrib/README
for more information.
+EOM
+}
+]
diff --git a/databases/postgresql96-server/files/pkg-message-plperl.in b/databases/postgresql96-server/files/pkg-message-plperl.in
index 5d0c83920563..dbda7daff5c2 100644
--- a/databases/postgresql96-server/files/pkg-message-plperl.in
+++ b/databases/postgresql96-server/files/pkg-message-plperl.in
@@ -1,3 +1,9 @@
+[
+{ type: install
+ message: <<EOM
PL/Perl has been installed. Check the createlang(l) manpage for more
info. You can install PL/Perl as trusted or untrusted, by using either
"createlang plperl" or "createlang plperlu".
+EOM
+}
+]
diff --git a/databases/postgresql96-server/files/pkg-message-plpython.in b/databases/postgresql96-server/files/pkg-message-plpython.in
index c413582b6295..3bd80d73d177 100644
--- a/databases/postgresql96-server/files/pkg-message-plpython.in
+++ b/databases/postgresql96-server/files/pkg-message-plpython.in
@@ -1,3 +1,9 @@
+[
+{ type: install
+ message: <<EOM
PL/Python has been installed. Check the createlang(l) manpage for more
info. You can install PL/Python by using "createlang plpythonu" (it
exists as an untrusted language only).
+EOM
+}
+]
diff --git a/databases/postgresql96-server/files/pkg-message-pltcl.in b/databases/postgresql96-server/files/pkg-message-pltcl.in
index 0902b858de0b..c1776f7d6fb3 100644
--- a/databases/postgresql96-server/files/pkg-message-pltcl.in
+++ b/databases/postgresql96-server/files/pkg-message-pltcl.in
@@ -1,3 +1,9 @@
+[
+{ type: install
+ message: <<EOM
PL/Tcl has been installed. Check the createlang(l) manpage for more
info. You can install pltcl as trusted or untrusted, by using either
"createlang pltcl" or "createlang pltclu".
+EOM
+}
+]
diff --git a/databases/postgresql96-server/files/pkg-message-server.in b/databases/postgresql96-server/files/pkg-message-server.in
index 8df5b8198903..84a13f7cb47c 100644
--- a/databases/postgresql96-server/files/pkg-message-server.in
+++ b/databases/postgresql96-server/files/pkg-message-server.in
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
For procedural languages and postgresql functions, please note that
you might have to update them when updating the server.
@@ -61,4 +64,6 @@ NB. If you're not using a checksumming filesystem like ZFS, you might
To run PostgreSQL at startup, add
'postgresql_enable="YES"' to /etc/rc.conf
-
+EOM
+}
+]
diff --git a/databases/powa-archivist/pkg-message b/databases/powa-archivist/pkg-message
index 8eb99a9263d9..389be1e4b42b 100644
--- a/databases/powa-archivist/pkg-message
+++ b/databases/powa-archivist/pkg-message
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
To activate powa-archvist on your PostgreSQL server, add 'powa' to the list of
shared_preload_libraries in $PGDATA/postgresql.conf:
@@ -22,3 +25,6 @@ Optionally, but warmly recommended, is the use of databases/pg_qualstats and
databases/pg_stat_kcache together with powa.
Use the databases/powa-web port to visualize the data.
+EOM
+}
+]
diff --git a/databases/puppetdb5/files/pkg-message.in b/databases/puppetdb5/files/pkg-message.in
index 4e13534c21f6..fba773047854 100644
--- a/databases/puppetdb5/files/pkg-message.in
+++ b/databases/puppetdb5/files/pkg-message.in
@@ -1,6 +1,12 @@
+[
+{ type: install
+ message: <<EOM
If this is a new installation, please run the follow to setup your SSL/puppetdb
server:
%%PREFIX%%/bin/puppetdb ssl-setup
Please also remember to add puppetdb_enable="YES" into your rc.conf.
+EOM
+}
+]
diff --git a/databases/puppetdb6/files/pkg-message.in b/databases/puppetdb6/files/pkg-message.in
index 4e13534c21f6..fba773047854 100644
--- a/databases/puppetdb6/files/pkg-message.in
+++ b/databases/puppetdb6/files/pkg-message.in
@@ -1,6 +1,12 @@
+[
+{ type: install
+ message: <<EOM
If this is a new installation, please run the follow to setup your SSL/puppetdb
server:
%%PREFIX%%/bin/puppetdb ssl-setup
Please also remember to add puppetdb_enable="YES" into your rc.conf.
+EOM
+}
+]
diff --git a/databases/py-htsql/pkg-message b/databases/py-htsql/pkg-message
index a7920343f120..8367f06290fd 100644
--- a/databases/py-htsql/pkg-message
+++ b/databases/py-htsql/pkg-message
@@ -1,6 +1,10 @@
-**********************************************************************
-* Additional backends to HTSQL are available in the following ports: *
-* *
-* PostgreSQL: databases/py-htsql-pgsql *
-* MySQL: databases/py-htsql-mysql *
-**********************************************************************
+[
+{ type: install
+ message: <<EOM
+Additional backends to HTSQL are available in the following ports:
+
+PostgreSQL: databases/py-htsql-pgsql
+MySQL: databases/py-htsql-mysql
+EOM
+}
+]
diff --git a/databases/qt5-sql/pkg-message b/databases/qt5-sql/pkg-message
index f9d42cacdadf..cee398c2b5bf 100644
--- a/databases/qt5-sql/pkg-message
+++ b/databases/qt5-sql/pkg-message
@@ -1,5 +1,6 @@
-======================================================================
-
+[
+{ type: install
+ message: <<EOM
To enable Qt database support, install the database plugin ports. The
following plugin ports are available:
- databases/qt5-sqldrivers-ibase InterBase/Firebird
@@ -9,5 +10,6 @@ following plugin ports are available:
- databases/qt5-sqldrivers-sqlite2 SQLite 2
- databases/qt5-sqldrivers-sqlite3 SQLite 3
- databases/qt5-sqldrivers-tds FreeTDS
-
-======================================================================
+EOM
+}
+]
diff --git a/databases/redis-devel/files/pkg-message.in b/databases/redis-devel/files/pkg-message.in
index fd3763137ea3..85a89529262a 100644
--- a/databases/redis-devel/files/pkg-message.in
+++ b/databases/redis-devel/files/pkg-message.in
@@ -1,8 +1,11 @@
-
-===> CONFIGURATION NOTE:
-
+[
+{ type: install
+ message: <<EOM
To setup "%%PORTNAME%%" you need to edit the configuration file:
%%PREFIX%%/etc/%%PORTNAME%%.conf
To run redis from startup, add %%PORTNAME%%_enable="YES"
in your /etc/rc.conf.
+EOM
+}
+]
diff --git a/databases/redis/files/pkg-message.in b/databases/redis/files/pkg-message.in
index fd3763137ea3..85a89529262a 100644
--- a/databases/redis/files/pkg-message.in
+++ b/databases/redis/files/pkg-message.in
@@ -1,8 +1,11 @@
-
-===> CONFIGURATION NOTE:
-
+[
+{ type: install
+ message: <<EOM
To setup "%%PORTNAME%%" you need to edit the configuration file:
%%PREFIX%%/etc/%%PORTNAME%%.conf
To run redis from startup, add %%PORTNAME%%_enable="YES"
in your /etc/rc.conf.
+EOM
+}
+]
diff --git a/databases/slony1v2/files/pkg-message.in b/databases/slony1v2/files/pkg-message.in
index 1cf868e2de69..83bce1b71a05 100644
--- a/databases/slony1v2/files/pkg-message.in
+++ b/databases/slony1v2/files/pkg-message.in
@@ -1,13 +1,11 @@
-*******************************************************************************
-
+[
+{ type: install
+ message: <<EOM
Please read the docs on configuring and running slony-1.
Unless you did not specify the DOCS options, they are in the
%%LOCALBASE%%/share/doc/slony1v2 directory.
-If you are upgrading from a prior version of slony, please read the UPGRADING
-file in the above docs directory.
-
The script %%LOCALBASE%%/sbin/slon-mkservice can be used to create a control
directory to run and monitor the slon daemon under svscan from daemontools.
If you use this, be sure not to set slon_enable="YES" in /etc/rc.conf.
@@ -21,5 +19,12 @@ is documented in %%LOCALBASE%%/share/doc/slony1/adminguide/runtime-config.html
%%PERLTOOLS%%
%%PERLTOOLS%%To use the perl slony configuration and monitoring tools, you must
%%PERLTOOLS%%create %%LOCALBASE%%/etc/slon_tools.conf based on the sample file.
-
-*******************************************************************************
+EOM
+}
+{ type: upgrade
+ message: <<EOM
+If you are upgrading from a prior version of slony, please read the UPGRADING
+file in the above docs directory.
+EOM
+}
+]
diff --git a/databases/soci/files/pkg-message.in b/databases/soci/files/pkg-message.in
index cafb32e07b1b..362009f7d3a9 100644
--- a/databases/soci/files/pkg-message.in
+++ b/databases/soci/files/pkg-message.in
@@ -1,2 +1,8 @@
+[
+{ type: install
+ message: <<EOM
If you use dynamically loaded backends, you have to set the environment variable
SOCI_BACKENDS_PATH to %%PREFIX%%/lib
+EOM
+}
+]
diff --git a/databases/sqldeveloper/pkg-message b/databases/sqldeveloper/pkg-message
index d4392b8c9aad..06a98b902840 100644
--- a/databases/sqldeveloper/pkg-message
+++ b/databases/sqldeveloper/pkg-message
@@ -1,4 +1,6 @@
-************************************************************************
+[
+{ type: install
+ message: <<EOM
Note for Oracle users:
In order to connect in a simple way to an Oracle database, it is needed to
@@ -18,5 +20,6 @@ Note for MySQL users:
menu, select Database -> Third Party JDBC Drivers and add the proper jar.
Do not install 5.1 version of mysql jdbc connector; see
https://docs.oracle.com/en/database/oracle/sql-developer/18.4/rptig/installing-sql-developer.html#GUID-3F68CF20-D03D-431C-A9A2-0EB971F06448
-
-************************************************************************
+EOM
+}
+]
diff --git a/databases/sqlite-ext-miscfuncs/pkg-message b/databases/sqlite-ext-miscfuncs/pkg-message
index d55184d7fb78..0e6ce5c16b35 100644
--- a/databases/sqlite-ext-miscfuncs/pkg-message
+++ b/databases/sqlite-ext-miscfuncs/pkg-message
@@ -1,4 +1,6 @@
-*********************************************************************
+[
+{ type: install
+ message: <<EOM
Loading extensions is by default prohibited as a security measure;
see "Security Considerations" in
http://www.sqlite.org/cvstrac/wiki?p=LoadableExtensions.
@@ -8,4 +10,6 @@ use these functions from the program, you must write your own program
using the sqlite3 API, and call sqlite3_enable_load_extension as
described above, or else rebuilt the sqlite3 program to allow
loadable extensions.
-*********************************************************************
+EOM
+}
+]
diff --git a/databases/sqlite-ext-pcre/pkg-message b/databases/sqlite-ext-pcre/pkg-message
index 70906d9f80bf..44f348bf951a 100644
--- a/databases/sqlite-ext-pcre/pkg-message
+++ b/databases/sqlite-ext-pcre/pkg-message
@@ -1,4 +1,6 @@
-*********************************************************************
+[
+{ type: install
+ message: <<EOM
Loading extensions is by default prohibited as a security measure;
see "Security Considerations" in
http://www.sqlite.org/cvstrac/wiki?p=LoadableExtensions.
@@ -8,4 +10,6 @@ use these functions from the program, you must write your own program
using the sqlite3 API, and call sqlite3_enable_load_extension as
described above, or else rebuild the sqlite3 program to allow
loadable extensions.
-*********************************************************************
+EOM
+}
+]
diff --git a/databases/sqlite-ext-regexp/pkg-message b/databases/sqlite-ext-regexp/pkg-message
index d55184d7fb78..0e6ce5c16b35 100644
--- a/databases/sqlite-ext-regexp/pkg-message
+++ b/databases/sqlite-ext-regexp/pkg-message
@@ -1,4 +1,6 @@
-*********************************************************************
+[
+{ type: install
+ message: <<EOM
Loading extensions is by default prohibited as a security measure;
see "Security Considerations" in
http://www.sqlite.org/cvstrac/wiki?p=LoadableExtensions.
@@ -8,4 +10,6 @@ use these functions from the program, you must write your own program
using the sqlite3 API, and call sqlite3_enable_load_extension as
described above, or else rebuilt the sqlite3 program to allow
loadable extensions.
-*********************************************************************
+EOM
+}
+]
diff --git a/databases/sqlite-ext-spellfix/pkg-message b/databases/sqlite-ext-spellfix/pkg-message
index d55184d7fb78..0e6ce5c16b35 100644
--- a/databases/sqlite-ext-spellfix/pkg-message
+++ b/databases/sqlite-ext-spellfix/pkg-message
@@ -1,4 +1,6 @@
-*********************************************************************
+[
+{ type: install
+ message: <<EOM
Loading extensions is by default prohibited as a security measure;
see "Security Considerations" in
http://www.sqlite.org/cvstrac/wiki?p=LoadableExtensions.
@@ -8,4 +10,6 @@ use these functions from the program, you must write your own program
using the sqlite3 API, and call sqlite3_enable_load_extension as
described above, or else rebuilt the sqlite3 program to allow
loadable extensions.
-*********************************************************************
+EOM
+}
+]
diff --git a/databases/squirrel-sql/pkg-message b/databases/squirrel-sql/pkg-message
index ea58a13edc4f..73b32c099fc4 100644
--- a/databases/squirrel-sql/pkg-message
+++ b/databases/squirrel-sql/pkg-message
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
To connect to your favorite database you can install one of the following JDBC
drivers.
@@ -5,3 +8,6 @@ drivers.
* databases/postgresql-jdbc
After that you have to configure the driver via the GUI (see Help).
+EOM
+}
+]
diff --git a/databases/tarantool/files/pkg-message.in b/databases/tarantool/files/pkg-message.in
index fbbe7f26f2f1..7f0d47f82080 100644
--- a/databases/tarantool/files/pkg-message.in
+++ b/databases/tarantool/files/pkg-message.in
@@ -1,5 +1,6 @@
-========================================================================
-
+[
+{ type: install
+ message: <<EOM
After install, you'll need:
Configuration at /etc/rc.conf:
@@ -8,5 +9,6 @@
tarantool_enable="yes"
* Path to storage link files of instances:
tarantool_instances="%%ETCDIR%%/instances.enabled"
-
-========================================================================
+EOM
+}
+]
diff --git a/databases/timescaledb/files/pkg-message.in b/databases/timescaledb/files/pkg-message.in
index 83487f864cf5..2ba063100afb 100644
--- a/databases/timescaledb/files/pkg-message.in
+++ b/databases/timescaledb/files/pkg-message.in
@@ -1,3 +1,6 @@
+[
+{ type: install
+ message: <<EOM
To activate timescaledb on your PostgreSQL server, add 'timescaledb' to
shared_preload_libraries in $PGDATA/postgresql.conf. For every database,
run
@@ -5,3 +8,6 @@ run
If you are upgrading, restart PostgreSQL server and run
ALTER EXTENSION timescaledb UPDATE TO '%%PORTVERSION%%';
+EOM
+}
+]
diff --git a/databases/unixODBC/files/pkg-message.in b/databases/unixODBC/files/pkg-message.in
index 50adf58715cd..b03a6525fae1 100644
--- a/databases/unixODBC/files/pkg-message.in
+++ b/databases/unixODBC/files/pkg-message.in
@@ -1,9 +1,11 @@
-==============================================================================
-
+[
+{ type: install
+ message: <<EOM
If installing for MySQL, then copy the example configuration file to your home
directory as ".odbc.ini", and modify to define specific MySQL database(s). The
file is located at "%%EXAMPLESDIR%%/MySQL/iodbc.ini".
This is required to use MySQL databases from OpenOffice.org, for example.
-
-==============================================================================
+EOM
+}
+]
diff --git a/databases/virtuoso/files/pkg-message.in b/databases/virtuoso/files/pkg-message.in
index f2b743fa8497..f076a546df30 100644
--- a/databases/virtuoso/files/pkg-message.in
+++ b/databases/virtuoso/files/pkg-message.in
@@ -1,3 +1,9 @@
+[
+{ type: install
+ message: <<EOM
Please copy and edit the sample configuration file before enabling the server:
cp %%PREFIX%%/lib/virtuoso/db/virtuoso.ini.sample %%PREFIX%%/lib/virtuoso/db/virtuoso.ini
+EOM
+}
+]
diff --git a/databases/wfb2sql/pkg-message b/databases/wfb2sql/pkg-message
index fd985a5128df..73d8f9b4fdd2 100644
--- a/databases/wfb2sql/pkg-message
+++ b/databases/wfb2sql/pkg-message
@@ -1,6 +1,6 @@
-
-======================================================================
-
+[
+{ type: install
+ message: <<EOM
Before being able to run wfb2sql, you need to obtain a copy of the
CIA's World Fact Book. A copy of the WFB can be found here:
@@ -32,3 +32,6 @@ NOTE: wfb2sql inserts data into the wfb schema!
^$$$B $$$$\ $$$$$$$$$$$$ d$$R"
"*$bd$$$$ '*$$$$$$$$$$$o+#"
"""" """""""
+EOM
+}
+]
diff --git a/databases/zabbix22-libzbxpgsql/pkg-message b/databases/zabbix22-libzbxpgsql/pkg-message
index 23d85feb7007..0837bde77f1b 100644
--- a/databases/zabbix22-libzbxpgsql/pkg-message
+++ b/databases/zabbix22-libzbxpgsql/pkg-message
@@ -1,3 +1,9 @@
+[
+{ type: install
+ message: <<EOM
In order to enable the module, add libzbxpgsql.so to the LoadModule=
line in zabbix_agentd.conf and restart the agent with
service zabbix_agentd restart
+EOM
+}
+]
diff --git a/databases/zabbix3-libzbxpgsql/pkg-message b/databases/zabbix3-libzbxpgsql/pkg-message
index 23d85feb7007..0837bde77f1b 100644
--- a/databases/zabbix3-libzbxpgsql/pkg-message
+++ b/databases/zabbix3-libzbxpgsql/pkg-message
@@ -1,3 +1,9 @@
+[
+{ type: install
+ message: <<EOM
In order to enable the module, add libzbxpgsql.so to the LoadModule=
line in zabbix_agentd.conf and restart the agent with
service zabbix_agentd restart
+EOM
+}
+]